Show navigation bars on each tab
Closed, ResolvedPublic2 Story Points

Description

To line up our work with the designs.

  • Set back button to be the left arrow from design (Asset forthcoming)
  • Set the Wikipedia logo in the home view controller title view

All pdfs here: https://www.dropbox.com/sh/wm7ptm27gk02czw/AABVhvkNX48NgRu97yNsoJBka?dl=0

The following will need to be done (probably in this order… best to handle the VCs and then update the transitions afterwards)

  • Show the navigation bar on each tab
  • Update the List view to account for the navigation bar
  • Update the article container VC to account for the navigation bar
  • When the web view / article VC are on screen, the article container VC should control the navigation bar (using it's own navigation item)
  • Update web view to use "back button" when transitioning back to native card
Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 3:43 PM
Fjalapeno updated the task description. (Show Details)Aug 21 2015, 6:40 PM
Fjalapeno set Security to None.
MBinder_WMF updated the task description. (Show Details)Aug 21 2015, 6:46 PM
MBinder_WMF edited a custom field.
KHammerstein updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)
MBinder_WMF closed this task as Resolved.Oct 7 2015, 10:07 PM